org.sonatype.plexus.components.sec.dispatcher

## Interface PasswordDecryptor

    public interface PasswordDecryptor

Version:
  $Id$
Author:
  Oleg Gusakov

### Field Summary

Fields
`static String` `ROLE`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `decrypt(String str, Map attributes, Map config)` decrypt given encrypted string

### Field Detail

#### ROLE

    static final String ROLE

### Method Detail

#### decrypt

    String decrypt(String str,
                   Map attributes,
                   Map config)
            throws SecDispatcherException

decrypt given encrypted string

Parameters:
  `str` - - string to decrypt
  `attributes` - - string attributes
  `config` - - configuration from settings-security.xml, if any
Returns:
  decrypted string
Throws:
  `SecDispatcherException`